/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

/*********************
* Modal
**********************/
.r-modal-dash {
  background: rgba(0, 0, 0, 0.6);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
  -webkit-transition: opacity 1000ms ease-in;
  -o-transition: opacity 1000ms ease-in;
  transition: opacity 1000ms ease-in;
}
body.r-modal-dash-open {
  overflow: hidden;
}
.r-modal-dash .r-modal-wrapper {
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  width: 1000px;
  margin: 3% auto 0 auto;
  height: 600px;
  animation: minimise 1000ms linear;
  -webkit-animation: minimise 1000ms linear;
  -moz-animation: minimise 1000ms linear;
}
.r-modal-assign .r-modal-assign-wrapper,
.r-modal-dash .r-modal-wrapper {
  animation-name: bounce;
  -webkit-animation-name: bounce;
  -moz-animation-name: bounce;
}
.r-modal-assign .r-modal-assign-header,
.r-modal-dash .r-modal-header {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: var(--Basic);
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  padding: 0 24px;
  color: #fff;
  height: 50px;
}
.r-modal-assign .r-modal-assign-header h2,
.r-modal-dash .r-modal-header h2 {
  font-size: 16px;
}
.r-modal-dash .r-modal-content {
  height: 550px;
  width: 100%;
  overflow-y: auto;
  padding: 0 12px;
}
.r-modal-dash .r-modal-content .model-item {
  width: calc(50% - 10px);
  /* width: calc(50% - 32px); */
  padding: 0 16px;
}
.r-modal-dash .r-modal-content .modal-item-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}
.r-modal-dash .r-modal-header span {
  font-size: 20px;
  cursor: pointer;
}

.r-modal-dash .r-modal-footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  padding: 0 18px;
}
.r-modal-assign .r-modal-assign-footer > button,
.r-modal-dash .r-modal-footer > button {
  font: 12px;
  background: var(--Basic);
  color: var(--white-color);
  padding: 8px 15px;
  margin: 3px 5px;
  outline: none;
  border: 1px solid var(--white-color);
  font-family: inherit;
  border-radius: 3px;
}
.r-modal-dash .r-modal-footer > button:hover {
  background: var(--BasicHover);
}
.r-modal .layout_container {
  width: 100%;
  height: 100%;
}
.r-modal-assign .r-modal-assing-wrapper {
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  width: 1000px;
  margin: 7% auto 0 auto;
  height: 400px;
  animation: minimise 1000ms linear;
  -webkit-animation: minimise 1000ms linear;
  -moz-animation: minimise 1000ms linear;
}
/* .r-modal-assign .r-modal-assign-content {
  height: 300px;
  width: 100%;
  overflow-y: auto;
  padding: 0 12px;
} */
.r-modal-assign {
  background: rgba(0, 0, 0, 0.2);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999999;
}
.r-modal-assign-wrapper {
  background: #fff;
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  width: 400px;
  height: 210px;
  margin: 12% auto 0 auto;
  -webkit-transition: all 1s linear;
  -o-transition: all 1s linear;
  transition: all 1s linear;
  overflow: hidden;
  animation: minimise 1000ms linear;
  -webkit-animation: minimise 1000ms linear;
  -moz-animation: minimise 1000ms linear;
  animation-name: bounce;
  -webkit-animation-name: bounce;
  -moz-animation-name: bounce;
}
.r-modal-assign .r-modal-assign-content {
  height: 115px;
  width: 100%;
  overflow-y: auto;
  padding: 0 12px;
}
.r-modal-assign .r-modal-assign-footer {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  background: var(--Basic);
  -webkit-box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
          box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  padding: 0 18px;
}
@-webkit-keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@-webkit-keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
  }
}

@keyframes bounce {
  0% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
            transform: scale3d(0.1, 0.1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
  55% {
    -webkit-transform: scale3d(1.08, 1.08, 1);
            transform: scale3d(1.08, 1.08, 1);
    -webkit-box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
            box-shadow: 0 10px 20px rgba(0, 0, 0, 0);
  }
  75% {
    -webkit-transform: scale3d(0.95, 0.95, 1);
            transform: scale3d(0.95, 0.95, 1);
    -webkit-box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.9);
  }
  100% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
    -webkit-box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
            box-shadow: 0 3px 20px rgba(0, 0, 0, 0.9);
  }
}

@keyframes minimise {
  0% {
    -webkit-transform: scale3d(1, 1, 1);
            transform: scale3d(1, 1, 1);
  }
  100% {
    -webkit-transform: scale3d(0.1, 0.1, 1);
            transform: scale3d(0.1, 0.1, 1);
  }
}